Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.hyphenation
Class TernaryTree.Iterator

    java.lang.Object
      org.apache.fop.hyphenation.TernaryTree.Iterator

All Implemented Interfaces:
  java.util.Enumeration

Enclosing class:
  TernaryTree

    public class TernaryTree.Iterator

extends java.lang.Object
implements java.util.Enumeration

an iterator

Constructor Summary
`TernaryTree.Iterator()` default constructor

Method Summary
`char` | `getValue()`
`boolean` | `hasMoreElements()`
`java.lang.Object` | `nextElement()`
`void` | `rewind()` rewind iterator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TernaryTree.Iterator

    public TernaryTree.Iterator()

  default constructor

Method Detail

### rewind

    public void rewind()

  rewind iterator

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`
  Returns:
    next element

### getValue

    public char getValue()

  Returns:
    value

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`
  Returns:
    true if more elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.